com.tibbo.aggregate.common.util

## Class ComponentLocationAbsolute

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.ComponentLocationAbsolute

-     public class ComponentLocationAbsolute
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `F_HEIGHT`
    `static java.lang.String` | `F_WIDTH`
    `static java.lang.String` | `F_X`
    `static java.lang.String` | `F_Y`
    `static java.lang.String` | `F_ZINDEX`
    `static TableFormat` | `OFT_COMPONENT_LOCATION_ABSOLUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentLocationAbsolute()`
    `ComponentLocationAbsolute(DataRecord data)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentLocationAbsolute` | `fromDataTable(DataTable dataTable)`
    `java.lang.Integer` | `getHeight()`
    `java.lang.Integer` | `getWidth()`
    `java.lang.Integer` | `getX()`
    `java.lang.Integer` | `getY()`
    `java.lang.Integer` | `getzIndex()`
    `void` | `setHeight(java.lang.Integer height)`
    `void` | `setWidth(java.lang.Integer width)`
    `void` | `setX(java.lang.Integer x)`
    `void` | `setY(java.lang.Integer y)`
    `void` | `setzIndex(java.lang.Integer zIndex)`
    `DataTable` | `toDataTable()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OFT_COMPONENT_LOCATION_ABSOLUTE

          public static final TableFormat OFT_COMPONENT_LOCATION_ABSOLUTE

    - #### F_X

          public static final java.lang.String F_X

      See Also:
        Constant Field Values

    - #### F_Y

          public static final java.lang.String F_Y

      See Also:
        Constant Field Values

    - #### F_WIDTH

          public static final java.lang.String F_WIDTH

      See Also:
        Constant Field Values

    - #### F_HEIGHT

          public static final java.lang.String F_HEIGHT

      See Also:
        Constant Field Values

    - #### F_ZINDEX

          public static final java.lang.String F_ZINDEX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentLocationAbsolute

          public ComponentLocationAbsolute()

    - #### ComponentLocationAbsolute

          public ComponentLocationAbsolute(DataRecord data)

  - ### Method Detail

    - #### getX

          public java.lang.Integer getX()

    - #### setX

          public void setX(java.lang.Integer x)

    - #### getY

          public java.lang.Integer getY()

    - #### setY

          public void setY(java.lang.Integer y)

    - #### getWidth

          public java.lang.Integer getWidth()

    - #### setWidth

          public void setWidth(java.lang.Integer width)

    - #### getHeight

          public java.lang.Integer getHeight()

    - #### setHeight

          public void setHeight(java.lang.Integer height)

    - #### getzIndex

          public java.lang.Integer getzIndex()

    - #### setzIndex

          public void setzIndex(java.lang.Integer zIndex)

    - #### toDataTable

          public DataTable toDataTable()

      Overrides:
        `toDataTable` in class `AggreGateBean`

    - #### fromDataTable

          public static ComponentLocationAbsolute fromDataTable(DataTable dataTable)